/*
 * @(#)ResourceParseException.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.util;

/**
 * リソース解析失敗時に発生する例外
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/11 14:08:41 $
 */
public class ResourceParseException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 543194547011831473L;

	/**
	 * コンストラクタ
	 * 
	 */
	public ResourceParseException() {
		super();
	}

	/**
	 * コンストラクタ
	 * 
	 * @param message メッセージ
	 */
	public ResourceParseException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public ResourceParseException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * コンストラクタ
	 * 
	 * @param cause 原因
	 */
	public ResourceParseException(Throwable cause) {
		super(cause);
	}

}
